[@rxap/forms](../wiki/globals) / IsComplex

# Function: IsComplex()

> **IsComplex**(`__namedParameters`): (`control`) => `null` \| `ValidationErrors`

Defined in: [packages/angular/forms/src/lib/validators/is-complex.ts:104](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/validators/is-complex.ts#L104)

## Parameters

### \_\_namedParameters

#### message?

`string`

#### options

[`ComplexityOptions`](../wiki/Interface.ComplexityOptions)

## Returns

`Function`

### Parameters

#### control

`AbstractControl`

### Returns

`null` \| `ValidationErrors`
